.form-input
  display flex
  flex-direction column
  gap 0.25rem
  &--checkbox
    flex-direction row-reverse
    justify-content flex-end
    align-items center
    gap 0.5rem
  &--textarea
    & ^[0]__field
      resize none
      height 9rem
  &__field
    $font-l()
    display block
    padding calc(var(--gap) / 2) var(--gap)
    font-family 'Rubik', 'Arial', sans-serif
    color var(--color-text)
    border 1px solid var(--color-mark)
    border-radius var(--border-radius-s)
    &:not(input[type='checkbox'])
      width 100%
    &:focus
      outline none
      border-color var(--color-mark-dark)
    &::placeholder
      color var(--color-grey)
  &__label
    display inline-block
  input[type='checkbox']
    padding 0
    width 1rem
    flex-shrink 0
  input[type='file']
    padding 0
    border none
    border-radius unset
